import '../utils/http/response_model.dart';
import '../utils/http/dio_request.dart';
import '../models/bo/alert_dashboard_bo.dart';

class AlertDashboardRepository {
  Future<ResponseModel<AlertDashboardBO>> getDashboard() {
    return DioRequest.instance.get<AlertDashboardBO>(
      '/app/alert/dashboard',
      fromJsonT: (data) =>
          AlertDashboardBO.fromJson(data as Map<String, dynamic>),
    );
  }
}